Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

All Implemented Interfaces:
  GroovyDoc, GroovyTokenTypes

    public class SimpleGroovyDoc
    extends java.lang.Object

Constructor Summary
`SimpleGroovyDoc(java.lang.String name)`

Method Summary
`static java.lang.String` | `calculateFirstSentence(java.lang.String raw)`
`java.lang.String` | `commentText()`
`int` | `compareTo(java.lang.Object that)`
`java.lang.String` | `firstSentenceCommentText()`
`java.lang.String` | `getRawCommentText()`
`java.lang.String` | `getTypeDescription()`
`java.lang.String` | `getTypeSourceDescription()`
`boolean` | `isAnnotationType()`
`boolean` | `isAnnotationTypeElement()`
`boolean` | `isClass()`
`boolean` | `isConstructor()`
`boolean` | `isDeprecated()`
`boolean` | `isEnum()`
`boolean` | `isEnumConstant()`
`boolean` | `isError()`
`boolean` | `isException()`
`boolean` | `isField()`
`boolean` | `isIncluded()`
`boolean` | `isInterface()`
`boolean` | `isMethod()`
`boolean` | `isOrdinaryClass()`
`boolean` | `isScript()`
`java.lang.String` | `name()`
`protected void` | `setCommentText(java.lang.String commentText)`
`void` | `setDeprecated(boolean deprecated)`
`protected void` | `setFirstSentenceCommentText(java.lang.String firstSentenceCommentText)`
`void` | `setRawCommentText(java.lang.String rawCommentText)`
`void` | `setScript(boolean script)`
`void` | `setTokenType(int t)`
`GroovyTag[]` | `tags()`
`java.lang.String` | `toString()`
`int` | `tokenType()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### SimpleGroovyDoc

    public SimpleGroovyDoc(java.lang.String name)

Method Detail

### calculateFirstSentence

    public static java.lang.String calculateFirstSentence(java.lang.String raw)

### commentText

    public java.lang.String commentText()

### compareTo

    public int compareTo(java.lang.Object that)

### firstSentenceCommentText

    public java.lang.String firstSentenceCommentText()

### getRawCommentText

    public java.lang.String getRawCommentText()

### getTypeDescription

    public java.lang.String getTypeDescription()

### getTypeSourceDescription

    public java.lang.String getTypeSourceDescription()

### isAnnotationType

    public boolean isAnnotationType()

### isAnnotationTypeElement

    public boolean isAnnotationTypeElement()

### isClass

    public boolean isClass()

### isConstructor

    public boolean isConstructor()

### isDeprecated

    public boolean isDeprecated()

### isEnum

    public boolean isEnum()

### isEnumConstant

    public boolean isEnumConstant()

### isError

    public boolean isError()

### isException

    public boolean isException()

### isField

    public boolean isField()

### isIncluded

    public boolean isIncluded()

### isInterface

    public boolean isInterface()

### isMethod

    public boolean isMethod()

### isOrdinaryClass

    public boolean isOrdinaryClass()

### isScript

    public boolean isScript()

### name

    public java.lang.String name()

### setCommentText

    protected void setCommentText(java.lang.String commentText)

### setDeprecated

    public void setDeprecated(boolean deprecated)

### setFirstSentenceCommentText

    protected void setFirstSentenceCommentText(java.lang.String firstSentenceCommentText)

### setRawCommentText

    public void setRawCommentText(java.lang.String rawCommentText)

### setScript

    public void setScript(boolean script)

### setTokenType

    public void setTokenType(int t)

### tags

    public GroovyTag[] tags()

### toString

    public java.lang.String toString()

### tokenType

    public int tokenType()

Groovy Documentation